org.apache.ignite.internal.processors.platform.utils

## Interface PlatformFutureUtils.Writer

Enclosing class:
  PlatformFutureUtils

    public static interface PlatformFutureUtils.Writer

Writer allowing special future result handling.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canWrite(Object obj, Throwable err)` Determines whether this writer can write given data.
`void` `write(BinaryRawWriterEx writer, Object obj, Throwable err)` Write object.

### Method Detail

#### write

    void write(BinaryRawWriterEx writer,
               Object obj,
               Throwable err)

Write object.

Parameters:
  `writer` - Writer.
  `obj` - Object.
  `err` - Error.

#### canWrite

    boolean canWrite(Object obj,
                     Throwable err)

Determines whether this writer can write given data.

Parameters:
  `obj` - Object.
  `err` - Error.
Returns:
  Value indicating whether this writer can write given data.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022